lzss_write(3)

NAME
lzss_write - Compresses data using LZSS. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int lzss_write(PACKFILE *file, LZSS_PACK_DATA *dat, int size, unsigned char *buf, int last);

DESCRIPTION
Packs `size' bytes from `buf', using the pack information contained in `dat'. The compressed bytes will be stored in `file'.

RETURN VALUE
Returns 0 on success, or EOF if there was an error.

SEE ALSO
create_lzss_pack_data(3), free_lzss_pack_data(3)